/******************************************************************************
 * Copyright 2022-2023 TypeFox GmbH
 * This program and the accompanying materials are made available under the
 * terms of the MIT License, which is available in the project root.
 ******************************************************************************/
import { AstNode } from "langium";
import { SelectTableExpression, SimpleSelectStatement } from "./generated/ast";
export interface ColumnDescriptor {
    name?: string;
    node: AstNode;
    typedNode: AstNode;
    isScopedByVariable: boolean;
}
export declare function getColumnsForSelectTableExpression(selectTableExpression: SelectTableExpression, onlyAliases?: boolean): ColumnDescriptor[];
export declare function getColumnCandidatesForSelectTableExpression(selectTableExpression: SelectTableExpression): ColumnDescriptor[];
export declare function getColumnCandidatesForSimpleSelectStatement(selectStatement: SimpleSelectStatement): ColumnDescriptor[];
