/******************************************************************************
 * Copyright 2022-2023 TypeFox GmbH
 * This program and the accompanying materials are made available under the
 * terms of the MIT License, which is available in the project root.
 ******************************************************************************/
import { ValidationAcceptor, ValidationRegistry } from "langium";
import * as ast from "./generated/ast";
import type { SqlServices } from "./sql-module";
export declare class SqlValidationRegistry extends ValidationRegistry {
    constructor(services: SqlServices);
}
export declare class SqlValidator {
    checkBinaryTableExpressionMatches(expr: ast.BinaryTableExpression, accept: ValidationAcceptor): void;
    checkIfExpressionHasType(expr: ast.Expression, accept: ValidationAcceptor): void;
    checkWhereIsBoolean(clause: ast.WhereClause, accept: ValidationAcceptor): void;
    checkHavingIsBoolean(clause: ast.HavingClause, accept: ValidationAcceptor): void;
    checkBinaryExpressionType(expr: ast.BinaryExpression, accept: ValidationAcceptor): void;
    checkUnaryExpressionType(expr: ast.UnaryExpression, accept: ValidationAcceptor): void;
    checkVariableNamesAreUnique(query: ast.SimpleSelectStatement, accept: ValidationAcceptor): void;
    checkIntegerLiteralIsWholeNumber(literal: ast.IntegerLiteral, accept: ValidationAcceptor): void;
    checkIfSelectStatementWithAllStarSelectItemHasAtLeastOneTableSource(selectStatement: ast.SimpleSelectStatement, accept: ValidationAcceptor): void;
    checkIfTableDefinitionHasAtLeastOneColumn(tableDefinition: ast.TableDefinition, accept: ValidationAcceptor): void;
    checkIfSubQuerySelectsExactlyOneValue(subQueryExpression: ast.SubQueryExpression, accept: ValidationAcceptor): void;
}
